"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault").default;
exports.__esModule = true;
exports.default = void 0;
var _RelativeJsonPointerError = _interopRequireDefault(require("./RelativeJsonPointerError.cjs"));
class EvaluationRelativeJsonPointerError extends _RelativeJsonPointerError.default {
  relativePointer;
  currentElement;
  rootElement;
  cursorElement;
  constructor(message, structuredOptions) {
    super(message, structuredOptions);
    if (typeof structuredOptions !== 'undefined') {
      this.relativePointer = structuredOptions.relativePointer;
      this.currentElement = structuredOptions.currentElement;
      this.rootElement = structuredOptions.rootElement;
      this.cursorElement = structuredOptions.cursorElement;
    }
  }
}
var _default = exports.default = EvaluationRelativeJsonPointerError;